/* ========================================
 *  ConsoleXSubIn - ConsoleXSubIn.h
 *  Copyright (c) airwindows, Airwindows uses the MIT license
 * ======================================== */

#include "ConsoleXSubIn.h"

#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include <cmath>
namespace airwinconsolidated::ConsoleXSubIn {

ConsoleXSubIn::ConsoleXSubIn()
{
	for (int x = 0; x < biq_total; x++) {biquad[x] = 0.0;}
	fpdL = 1; while (fpdL < 16386) fpdL = rand()*UINT32_MAX;
	fpdR = 1; while (fpdR < 16386) fpdR = rand()*UINT32_MAX;
	//this is reset: values being initialized only once. Startup values, whatever they are.
}

int ConsoleXSubIn::getParameterCount() const
{
	return kNumParameters;
}

void ConsoleXSubIn::setParameter(int index, float value) {
}

float ConsoleXSubIn::getParameter(int index) {
	return 0.0; //we only need to update the relevant name, this is simple to manage
}

void ConsoleXSubIn::getParameterName(int index, char *text) {
}

void ConsoleXSubIn::getParameterDisplay(int index, char *text) {
}

void ConsoleXSubIn::getParameterLabel(int index, char *text) {
}




} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS
